Genesys

DSM 6.x.x Loader (with MBR partition Table)

Recommended Posts

Hey. M/b GA-G31M-ES2L (Rev. 2.x), NC ar8131 chip, the DSM 6.x.x Loader (with MBR partition Table) - does not see the network adapter, apparently there is no driver. Is there any way to add it? Sorry for the stupid question, thanks :-)

Edited by oleger

Share this post


Link to post
Share on other sites
1 hour ago, Polanskiman said:

 

You mean you took Genesis loader and removed the appropriate files and added the new loader and files?

Hi,

 

Sort of, I mounted both partition of the 1.02 Genesis loader (MBR) in OSFmount.

Then I took the 1.03 loader mounted both partition also in OSFmount, and copied the files over to the 1.02b Genesis.

 

It works great, just installed a fresh DSM 6.2. (bare metal) And also updated to the new update.

Edited by wimmetje
  • Like 1

Share this post


Link to post
Share on other sites

hi, i've trouble with the network card. the nas is not visible on the lan :-( there is any way to add the drivers present in the old loader?

 

the Intel PRO/1000 is misisng

 

Thanks

Edited by Fabry815

Share this post


Link to post
Share on other sites

Same issue here.

 

Got 3 network cards. 

None is working.

 

Edit : Grub cannot load the kernel with that version

Edited by croustx

Share this post


Link to post
Share on other sites
1 hour ago, Fabry815 said:

Hi, you are able to convert the last loader availlable 1.04b

 

why do you need an MBR version of this loader? It only works on 4th gen intel Core processors (and newer) anyway - and surely they all have UEFI BIOSs. 

 

I'm using the current loader in CSM / BIOS mode and it works fine

Edited by ideasman69

Share this post


Link to post
Share on other sites
В 23.11.2018 в 00:37, ideasman69 сказал:

why do you need an MBR version of this loader?

Old mb can't load from gpt partition - that's the point.

Share this post


Link to post
Share on other sites
2 hours ago, Rezdbic said:

Old mb can't load from gpt partition - that's the point.

Ok, but the 1.04b loader only works on Haswell CPUs or above. Any Haswell (or above) motherboards will boot from it without any modification. That was my point

Share this post


Link to post
Share on other sites
23 часа назад, ideasman69 сказал:

but the 1.04b loader only works on Haswell CPUs or above

Is It means what 1.04 loader would not work on Sandy Bridge?

Share this post


Link to post
Share on other sites

Hi. 1.03b not work with my board... Gigabyte Ga-x58a-ud7. DSM 4.2 worked good. Are there any options to run it 6 version?

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.